claw::tween Namespace Reference

Tweeners interpolate the intermediate values between two given reference values using various equations. More...

## Classes

class | base_tweener
| Common interface for all tweeners. More...
class | easing_none
| Easing functions for the tweener. Those functions do nothing. More...
class | symmetric_easing
| Easing functions for the tweener. More...
class | single_tweener
| A single_tweener makes a value to evolve through time from a initial value to an end value according to a given function. More...
class | tweener
| A tweener makes a value to evolve through time from a initial value to an end value according to a given function. More...
class | tweener_group
| The tweener group manages several tweeners and remove them when they are over. More...
class | tweener_sequence
| The tweener sequence manages several tweeners in a common timeline. More...

## Typedefs

typedef symmetric_easing< easing_back_func > | easing_back
| Easing functions for the tweener.
typedef symmetric_easing< easing_bounce_func > | easing_bounce
| Easing functions for the tweener.
typedef symmetric_easing< easing_circ_func > | easing_circ
| Easing functions for the tweener.
typedef symmetric_easing< easing_cubic_func > | easing_cubic
| Easing functions for the tweener.
typedef symmetric_easing< easing_elastic_func > | easing_elastic
| Easing functions for the tweener.
typedef symmetric_easing< easing_expo_func > | easing_expo
| Easing functions for the tweener.
typedef symmetric_easing< easing_linear_func > | easing_linear
| Easing functions for the tweener.
typedef symmetric_easing< easing_quad_func > | easing_quad
| Easing functions for the tweener.
typedef symmetric_easing< easing_quart_func > | easing_quart
| Easing functions for the tweener.
typedef symmetric_easing< easing_quint_func > | easing_quint
| Easing functions for the tweener.
typedef symmetric_easing< easing_sine_func > | easing_sine
| Easing functions for the tweener.

## Functions

double | easing_back_func (double t)
| The default function.
double | easing_bounce_func (double t)
| The default function.
double | easing_circ_func (double t)
| The default function.
double | easing_cubic_func (double t)
| The default function.
double | easing_elastic_func (double t)
| The default function.
double | easing_expo_func (double t)
| The default function.
double | easing_linear_func (double t)
| The default function.
double | easing_quad_func (double t)
| The default function.
double | easing_quart_func (double t)
| The default function.
double | easing_quint_func (double t)
| The default function.
double | easing_sine_func (double t)
| The default function.

## Detailed Description

Tweeners interpolate the intermediate values between two given reference values using various equations.

See also
  tweeners

## Typedef Documentation

## easing_back

typedef symmetric_easing<easing_back_func> claw::tween::easing_back

Easing functions for the tweener.

Author
  Julien Jorge

Definition at line 44 of file easing_back.hpp.

## easing_bounce

typedef symmetric_easing<easing_bounce_func> claw::tween::easing_bounce

Easing functions for the tweener.

Author
  Julien Jorge

Definition at line 44 of file easing_bounce.hpp.

## easing_circ

typedef symmetric_easing<easing_circ_func> claw::tween::easing_circ

Easing functions for the tweener.

Author
  Julien Jorge

Definition at line 45 of file easing_circ.hpp.

## easing_cubic

typedef symmetric_easing<easing_cubic_func> claw::tween::easing_cubic

Easing functions for the tweener.

Author
  Julien Jorge

Definition at line 44 of file easing_cubic.hpp.

## easing_elastic

typedef symmetric_easing<easing_elastic_func> claw::tween::easing_elastic

Easing functions for the tweener.

Author
  Julien Jorge

Definition at line 44 of file easing_elastic.hpp.

## easing_expo

typedef symmetric_easing<easing_expo_func> claw::tween::easing_expo

Easing functions for the tweener.

Author
  Julien Jorge

Definition at line 44 of file easing_expo.hpp.

## easing_linear

typedef symmetric_easing<easing_linear_func> claw::tween::easing_linear

Easing functions for the tweener.

Author
  Julien Jorge

Definition at line 44 of file easing_linear.hpp.

## easing_quad

typedef symmetric_easing<easing_quad_func> claw::tween::easing_quad

Easing functions for the tweener.

Author
  Julien Jorge

Definition at line 44 of file easing_quad.hpp.

## easing_quart

typedef symmetric_easing<easing_quart_func> claw::tween::easing_quart

Easing functions for the tweener.

Author
  Julien Jorge

Definition at line 44 of file easing_quart.hpp.

## easing_quint

typedef symmetric_easing<easing_quint_func> claw::tween::easing_quint

Easing functions for the tweener.

Author
  Julien Jorge

Definition at line 44 of file easing_quint.hpp.

## easing_sine

typedef symmetric_easing<easing_sine_func> claw::tween::easing_sine

Easing functions for the tweener.

Author
  Julien Jorge

Definition at line 44 of file easing_sine.hpp.

## Function Documentation

## easing_back_func()

double claw::tween::easing_back_func | ( | double | t | ) |

The default function.

Parameters

  t | The ratio of the date, in (0, 1), representing the total progression of the tweener.

Definition at line 36 of file easing_back.cpp.

## easing_bounce_func()

double claw::tween::easing_bounce_func | ( | double | t | ) |

The default function.

Parameters

  t | The ratio of the date, in (0, 1), representing the total progression of the tweener.

Definition at line 36 of file easing_bounce.cpp.

## easing_circ_func()

double claw::tween::easing_circ_func | ( | double | t | ) |

The default function.

Parameters

  t | The ratio of the date, in (0, 1), representing the total progression of the tweener.

Definition at line 36 of file easing_circ.cpp.

## easing_cubic_func()

double claw::tween::easing_cubic_func | ( | double | t | ) |

The default function.

Parameters

  t | The ratio of the date, in (0, 1), representing the total progression of the tweener.

Definition at line 36 of file easing_cubic.cpp.

## easing_elastic_func()

double claw::tween::easing_elastic_func | ( | double | t | ) |

The default function.

Parameters

  t | The ratio of the date, in (0, 1), representing the total progression of the tweener.

Definition at line 39 of file easing_elastic.cpp.

## easing_expo_func()

double claw::tween::easing_expo_func | ( | double | t | ) |

The default function.

Parameters

  t | The ratio of the date, in (0, 1), representing the total progression of the tweener.

Definition at line 38 of file easing_expo.cpp.

## easing_linear_func()

double claw::tween::easing_linear_func | ( | double | t | ) |

The default function.

Parameters

  t | The ratio of the date, in (0, 1), representing the total progression of the tweener.

Definition at line 36 of file easing_linear.cpp.

## easing_quad_func()

double claw::tween::easing_quad_func | ( | double | t | ) |

The default function.

Parameters

  t | The ratio of the date, in (0, 1), representing the total progression of the tweener.

Definition at line 36 of file easing_quad.cpp.

## easing_quart_func()

double claw::tween::easing_quart_func | ( | double | t | ) |

The default function.

Parameters

  t | The ratio of the date, in (0, 1), representing the total progression of the tweener.

Definition at line 36 of file easing_quart.cpp.

## easing_quint_func()

double claw::tween::easing_quint_func | ( | double | t | ) |

The default function.

Parameters

  t | The ratio of the date, in (0, 1), representing the total progression of the tweener.

Definition at line 36 of file easing_quint.cpp.

## easing_sine_func()

double claw::tween::easing_sine_func | ( | double | t | ) |

The default function.

Parameters

  t | The ratio of the date, in (0, 1), representing the total progression of the tweener.

Definition at line 39 of file easing_sine.cpp.